## GstNvEncoder

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstVideoEncoder
                        ╰──GstNvEncoder

Since : 1.22

### Properties

#### cc-insert

    “cc-insert” Nv-encoder-sei-insert-mode *

Closed Caption insert mode

Flags : Read / Write

Default value : insert (0)

Since : 1.24

#### extern-cuda-bufferpool

    “extern-cuda-bufferpool” GstObject *

GstCudaBufferPool prepared by application. Application can pass a buffer pool instance prepared in advance, to avoid global device synchronization caused by CUDA memory allocation.

The buffer pool should be configured with stream-ordered-allocation disabled

Flags : Read / Write

Since : 1.26

### Named constants

#### Nv-encoder-sei-insert-mode

##### Members

`insert` (0) – Insert SEI
`insert-and-drop` (1) – Insert SEI and remove corresponding meta from output buffer
`disabled` (2) – Disable SEI insertion

Since : 1.24

The results of the search are